commit 34a80fdbe1dd124ee729823b6301cb2fda4dff5f
parent fa368d5febabb1d62dce55965412d02cf80220aa
Author: parazyd <parazyd@dyne.org>
Date: Wed, 22 Feb 2017 17:04:55 +0100
add dmenupass
Diffstat:
2 files changed, 12 insertions(+), 2 deletions(-)
diff --git a/dmenupass b/dmenupass
@@ -0,0 +1,12 @@
+#!/bin/dash
+
+prefix="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
+
+password="$(\
+ printf %s\\n $prefix/**/*.gpg \
+ | sed -e 's/.gpg$//' -e 's@'$prefix'/@@' \
+ | dmenu -i -l 15 -p 'pass:' -sb '#d7ff00' -sf '#000000' "$@")"
+
+[ -n "$password" ] || exit 1
+
+pass show -c "$password" 2>/dev/null
diff --git a/xkcd b/xkcd
@@ -22,8 +22,6 @@ def add_text(image, title, alt, tfont=download_dir+'xkcd.ttf',
except OSError:
return
- #tfont = ImageFont.truetype(download_dir+'xkcd.ttf', title_fontsize)
- #afont = ImageFont.truetype(download_dir+'xkcd.ttf', alt_fontsize)
tfont = ImageFont.truetype(tfont, title_fontsize)
afont = ImageFont.truetype(afont, alt_fontsize)